# Interface FeatureProperties

Properties that can be passed into the constructor for data/Feature!Feature.

interface FeatureProperties {
attributes?: Record<string, unknown> | Map<string, unknown>;
failureMode?: FailureMode;
geometry?: GeometryUnion | GeometryJson;
id?: string;
schema?: SchemaProperties;
settings?: FeatureSettingsProperties;
source?: FeatureSource;
}

#### Hierarchy (view full)

- EntityBaseProperties
  - FeatureProperties

#####
Index

### Properties

attributes?
failureMode?
geometry?
id?
schema?
settings?
source?

##
Properties

### `Optional` attributes

attributes?: Record<string, unknown> | Map<string, unknown>

The feature's attributes, keyed by field name.

### `Optional` failureMode

failureMode?: FailureMode

See support/InitializableBase!InitializableBase.failureMode.

Inherited from EntityBaseProperties.failureMode

### `Optional` geometry

geometry?: GeometryUnion | GeometryJson

The feature's geometry.

### `Optional` id

id?: string

The unique ID to assign to the entity. If not specified, one will be generated.

Inherited from EntityBaseProperties.id

### `Optional` schema

schema?: SchemaProperties

Metadata about the feature, such as fields, domains, geometry type, etc.

### `Optional` settings

settings?: FeatureSettingsProperties

Settings for this feature.

### `Optional` source

source?: FeatureSource

The source of the feature.